# saga::exception Class Reference

`#include <exception.hpp>`

Inheritance diagram for saga::exception:

[legend]

List of all members.

## Public Member Functions
| ~exception () throw ()
| Destroys the exception.
char const * | what () const throw ()
| Brief description starts here.
char const * | get_message () const throw ()
| Gets the message associated with the exception.
saga::error | get_error () const throw ()
| Brief description starts here.
saga::object | get_object () const throw ()
| Gets the SAGA object associated with exception.
std::vector< saga::exception > const & | get_all_exceptions () const throw ()
| return list of all exceptions encapsulated in this instance
std::vector< std::string > | get_all_messages () const
| return list of all messages
## Public Attributes
exception std::string const & | m
| Creates the exception.
exception std::string const error | e = NoSuccess)
exception std::vector < saga::exception > const & | l
| Creates the exception, without associating a SAGA object instance.

## Detailed Description

We introduce a exception hierarchy here, which maps onto the exceptions as defined by the SAGA specification:

saga::exception
saga::not_implemented
saga::parameter_exception
saga::incorrect_url
saga::bad_parameter
saga::state_exception
saga::already_exists
saga::does_not_exist
saga::incorrect_state
saga::timeout
saga::security_exception
saga::permission_denied
saga::authorization_failed
saga::authentication_failed
saga::no_success

## Constructor & Destructor Documentation

saga::exception::~exception | ( |  | ) | throw ()`[inline]`

Destroys the exception.

## Member Function Documentation

char const * saga::exception::what | ( |  | ) | const throw ()

Brief description starts here.

char const * saga::exception::get_message | ( |  | ) | const throw ()

Gets the message associated with the exception.

Returns:
  The error message.

saga::error saga::exception::get_error | ( |  | ) | const throw ()

Brief description starts here.

saga::object saga::exception::get_object | ( |  | ) | const throw ()

Gets the SAGA object associated with exception.

Returns:
  The object associated with the exception.

std::vector< saga::exception > const & saga::exception::get_all_exceptions | ( |  | ) | const throw ()

return list of all exceptions encapsulated in this instance

std::vector< std::string > saga::exception::get_all_messages | ( |  | ) | const

return list of all messages

Note:
  may throw std::bad_alloc, use with care

## Member Data Documentation

exception std::string const& saga::exception::m`[final]`

Creates the exception.

Parameters:

  | obj | The object associated with the exception.
  | message | The message to be associated with the new exception.

Returns:
  The newly created exception.

Creates the exception.

Parameters:

  | obj | The object associated with the exception.
  | message | The message to be associated with the new exception.

Returns:
  The newly created exception.

Creates the exception, without associating a SAGA object instance

Parameters:

  | message | The message to be associated with the new exception.

Returns:
  The newly created exception.

exception std::string const error saga::exception::e = NoSuccess)`[final]`

exception std::vector< saga::exception > const& saga::exception::l`[final]`

Creates the exception, without associating a SAGA object instance.

Parameters:

  | message | The message to be associated with the new exception.

Returns:
  The newly created exception.

The documentation for this class was generated from the following files:

- exception.hpp
- exception.cpp